function [solution2]=solvCamp2(tspan,uinit,diss_rates,kcat,Karac,Kca,...
    Kpca,synt_rates,p_basal,degr_rates,n,arabinose,crp,CAMPi,eta)

%We solve the equations
[T, U] = ode45(@(t, u) modelCamp2(t, u,diss_rates,kcat,Karac,Kca,...
    Kpca,synt_rates,p_basal,degr_rates,n,arabinose,crp,CAMPi,eta ),...
    tspan, uinit );

%we record the solution
ures = [U(:, 1) , U(:, 2)];

%The time is given by ode 15s, because this algorithm choose the time such
%as it converges.
tres = T;


solution2 = [ures tres];


end
